Bug 163434 - The daemon 'hpssd' is not starting.
The daemon 'hpssd' is not starting.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-16 09:52 EDT by Vinicius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-17 04:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinicius 2005-07-16 09:52:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
After the kernel "kernel-2.6.12-1.1398_FC4" was installed, now the printer HP PSC 1315 is been detected, so I was able to compile and install the HPLIP driver 0.9.3 (http://sourceforge.net/project/showfiles.php?group_id=16846&package_id=137628&release_id=328106)

But the daemon 'hpssd' is not been started.

Version-Release number of selected component (if applicable):
hplip-0.9.3

How reproducible:
Always

Steps to Reproduce:
1. download hplip-0.9.3.tar.gz from http://hpinkjet.sourceforge.net/ ;
2. following the installation instructions from the page under;
3. ./configure --prefix=/usr ; make ; make install (logged as root).
  

Actual Results:  The HPLIP driver is installed but the daemon 'hpssd' don't start.

Expected Results:  The daemon 'hpssd' started.

Additional info:

I think it's a SELinux issue as can see below:

from /var/log/messages:
Jul 16 10:02:54 ronin hpiod: 0.9.3 accepting connections at 32774...
Jul 16 10:03:04 ronin python: hpssd [ERROR] Unable to connect to hpiod.

from /var/log/audit/audit.log:
type=CWD msg=audit(1121518984.285:13005806):  cwd="/usr/share/hplip"
type=PATH msg=audit(1121518984.285:13005806): item=0 name="/usr/share/hplip/base/strings.pyc" flags=310  inode=1181808 dev=
fd:00 mode=040755 ouid=0 ogid=0 rdev=00:00
type=AVC msg=audit(1121518984.905:13008633): avc:  denied  { name_connect } for  pid=4841 comm="python" dest=32774 scontext
=root:system_r:hplip_t tcontext=system_u:object_r:port_t tclass=tcp_socket
type=SYSCALL msg=audit(1121518984.905:13008633): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfd6cf50 a2=98b114 a
3=b7c99b48 items=0 pid=4841 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="python" exe="/usr
/bin/python"
type=SOCKADDR msg=audit(1121518984.905:13008633): saddr=020080067F0000010000000000000000
type=SOCKETCALL msg=audit(1121518984.905:13008633): nargs=3 a0=5 a1=b7c99b60 a2=10
Comment 1 Tim Waugh 2005-07-16 14:13:40 EDT
We don't ship HPLIP yet.

Did you mean to report this bug against Fedora Core devel, where we are shipping
an experimental package for people to test against the rest of the devel packages?
Comment 2 Vinicius 2005-07-16 15:27:26 EDT
Hello,

I saw a spec file for hplip made by you.

Could you let them know about this issue, please?


Regards,

Vinicius.
Comment 3 Tim Waugh 2005-07-17 04:48:00 EDT
You haven't even tried the package I built.

Note You need to log in before you can comment on or make changes to this bug.